# README #

For a long time pdflatex has offered the command `\pdfannot` for inserting
arbitrary PDF annotations. However, the command is presented in
a form where additional knowledge of the definition of the PDF format is
indispensable. This package is an answer to the – occasional – questions
in newsgroups, about how one could use the comment function of Adobe
Reader. At least for the writer of LaTeX code, the package offers a
convenient and user-friendly means of using `\pdfannot` to provide comments
in PDF files. Since version v1.1, pdfcomment.sty also supports:

  LaTeX -> dvips -> ps2pdf, LaTeX -> dvipdfmx, XeLaTeX and LuaLaTeX

Unfortunately, support of PDF annotations by PDF viewers may vary.
The reference viewer for the development of this package is Adobe Reader.

License: **LPPL**

Changes in v2.3b:

* Bugfix: incorrect vertical position of superscripts in `\pdftooltip`
            
reported and patched by Ross Moore

* Bugfix: change zero width in `\pdfcomment` and `\pdfmargincomment`
          to make the comments visible in both Evince and the internal viewer of TeXStudio

reported by shaniaki (BitBucket #7)

* improve appearance of tooltips with Mac Preview (at least)

feature request by Ross Moore

* expand comment argument in `\pdftooltip` before pushing it through `\pdfstringdef`

feature request by Robert Terwilliger (Bitbucket #18)

* added `pdfencoding=auto` while loading `hyperref`
  Needed for Unicode bookmarks in `XeTeX` and `LuaTeX`
  
* dropped support for `\pdfreply`